diff --git a/Demo/Makefile.am b/Demo/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Demo/Makefile.am
@@ -0,0 +1,16 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+LDADD = $(top_builddir)/Source/librbio.la -lufconfig
+
+check_PROGRAMS = \
+	RBdemo
+
+RBdemo_SOURCES = RBdemo.c
+
+RB = \
+	../RBio/private/west0479.rua
+
+check-local: $(check_PROGRAMS) $(RB)
+	./RBdemo < ../RBio/private/west0479.rua
+
+clean-local:
+	-$(RM) temp.rb
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,3 @@
+SUBDIRS = Source RBio/private Demo Tcov
+EXTRA_DIST = README.txt Doc/ChangeLog Doc/License.txt Doc/gpl.txt
+include_HEADERS = Include/RBio.h
diff --git a/RBio/private/Makefile.am b/RBio/private/Makefile.am
new file mode 100644
--- /dev/null
+++ b/RBio/private/Makefile.am
@@ -0,0 +1,7 @@
+dist_noinst_DATA = \
+	bcsstk01.rb \
+	farm.rb \
+	lap_25.pse \
+	lap_25.rb \
+	west0479.rb \
+	west0479.rua
diff --git a/Source/Makefile.am b/Source/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Source/Makefile.am
@@ -0,0 +1,16 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+
+RBIOSRC = \
+	RBio.c
+
+lib_LTLIBRARIES = librbio.la
+noinst_LTLIBRARIES = librbioi.la librbiol.la
+
+librbioi_la_SOURCES = $(RBIOSRC)
+librbioi_la_CPPFLAGS = $(AM_CPPFLAGS) -DINT
+
+librbiol_la_SOURCES = $(RBIOSRC)
+
+librbio_la_SOURCES =
+librbio_la_LIBADD = librbioi.la librbiol.la
+librbio_la_LDFLAGS = -no-undefined -version-info 2:0:0
diff --git a/Tcov/Makefile.am b/Tcov/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Tcov/Makefile.am
@@ -0,0 +1,94 @@
+AM_CC = gcc
+AM_CFLAGS = -O0 -g --coverage
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+LDADD = -lufconfig
+
+dist_noinst_DATA = \
+	matrices/Tina_DisCog.tar.gz \
+	matrices/dwg961a.tar.gz \
+	matrices/m4.rb \
+	matrices/m4b.rb \
+	matrices/mhd1280a.tar.gz \
+	matrices/mhd1280b.tar.gz \
+	matrices/plskz362.tar.gz \
+	matrices/qc324.tar.gz \
+	matrices/s4.rb \
+	matrices/west0067.tar.gz \
+	mangled/1.rb \
+	mangled/2.rb \
+	mangled/3.rb \
+	mangled/4.rb \
+	mangled/5.rb \
+	mangled/6.rb \
+	mangled/7.rb \
+	mangled/8.rb \
+	mangled/9.rb \
+	mangled/10.rb \
+	mangled/11.rb \
+	mangled/12.rb \
+	mangled/13.rb \
+	mangled/14.rb \
+	mangled/15.rb
+
+check_PROGRAMS = \
+	RBdemo \
+	RBtest
+
+RBio.c: ../Source/RBio.c
+	$(LN_S) -f $< $@
+
+RBdemo.c: ../Demo/RBdemo.c
+	$(LN_S) -f $< $@
+
+RBdemo_SOURCES = RBdemo.c RBio.c
+RBtest_SOURCES = RBtest.c RBio.c
+
+TAR = tar -O -xvvzf
+
+RB = \
+	../RBio/private/bcsstk01.rb \
+	../RBio/private/farm.rb \
+	../RBio/private/lap_25.pse \
+	../RBio/private/lap_25.rb \
+	../RBio/private/west0479.rb \
+	../RBio/private/west0479.rua \
+	$(dist_noinst_DATA)
+
+check-local: $(check_PROGRAMS) $(RB)
+	-./RBdemo ../RBio/private/bcsstk01.rb
+	-./RBdemo ../RBio/private/farm.rb
+	-./RBdemo ../RBio/private/lap_25.pse
+	-./RBdemo ../RBio/private/lap_25.rb
+	-./RBdemo ../RBio/private/west0479.rb
+	-./RBdemo ../RBio/private/west0479.rua
+	-$(TAR) matrices/dwg961a.tar.gz  dwg961a/dwg961a.rb     | ./RBdemo
+	-$(TAR) matrices/mhd1280a.tar.gz mhd1280a/mhd1280a.rb   | ./RBdemo
+	-$(TAR) matrices/mhd1280b.tar.gz mhd1280b/mhd1280b.rb   | ./RBdemo
+	-$(TAR) matrices/qc324.tar.gz    qc324/qc324.rb         | ./RBdemo
+	-$(TAR) matrices/plskz362.tar.gz plskz362/plskz362.rb   | ./RBdemo
+	-$(TAR) matrices/west0067.tar.gz west0067/west0067.rb   | ./RBdemo
+	-$(TAR) matrices/Tina_DisCog.tar.gz Tina_DisCog/Tina_DisCog.rb | ./RBdemo
+	-./RBdemo matrices/m4.rb
+	-./RBdemo matrices/s4.rb
+	-./RBdemo matrices/m4b.rb
+	-./RBdemo mangled/1.rb
+	-./RBdemo mangled/2.rb
+	-./RBdemo mangled/3.rb
+	-./RBdemo mangled/4.rb
+	-./RBdemo mangled/5.rb
+	-./RBdemo mangled/6.rb
+	-./RBdemo mangled/7.rb
+	-./RBdemo mangled/8.rb
+	-./RBdemo mangled/9.rb
+	-./RBdemo mangled/10.rb
+	-./RBdemo mangled/11.rb
+	-./RBdemo mangled/12.rb
+	-./RBdemo mangled/13.rb
+	-./RBdemo mangled/14.rb
+	-./RBdemo mangled/15.rb
+	-./RBtest
+	-gcov *.c > gcov.out
+	-grep "#####" RBio.c.gcov | wc -l
+
+clean-local:
+	-$(RM) gcov.out *.gcov *.gcda *.gcno temp*.rb
diff --git a/configure.ac b/configure.ac
new file mode 100644
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,25 @@
+AC_PREREQ([2.65])
+AC_INIT([RBio], [2.0.0], [davis@cise.ufl.edu])
+AC_CONFIG_SRCDIR([Source/RBio.c])
+AC_CONFIG_HEADER([config.h])
+AM_INIT_AUTOMAKE([foreign])
+LT_INIT
+
+AC_PROG_INSTALL
+AC_PROG_CC
+
+LIBS_SAVED=$LIBS
+
+AC_CHECK_LIB([ufconfig], [UFmalloc])
+
+AC_CHECK_HEADERS([stddef.h stdlib.h string.h])
+
+LIBS=$LIBS_SAVED
+
+AC_CONFIG_FILES([
+	Makefile
+	Demo/Makefile
+	RBio/private/Makefile
+	Source/Makefile
+	Tcov/Makefile])
+AC_OUTPUT
